/*
 * Copyright (C) 2004 TiongHiang Lee
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not,  write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Email: thlee@onemindsoft.org
 */

package org.onemind.jxp;

import junit.framework.TestCase;
/**
 * TODO comment
 * @author TiongHiang Lee (thlee@onemindsoft.org)
 */
public class ObjectCreateTest extends TestCase
{

    public void testCreate()
    {
        long now = System.currentTimeMillis();
        for (int i = 0; i < 10000; i++)
        {
            Object obj = new Object();
        }
        long then = System.currentTimeMillis();
        System.out.println(then - now);
        
        now = System.currentTimeMillis();
        for (int i = 0; i < 10000; i++)
        {
            JxpProcessor pro = new JxpProcessor(null);
        }
        then = System.currentTimeMillis();
        System.out.println(then - now);
        ThreadLocal t = new ThreadLocal();
        Object o = new Object();
        
        now = System.currentTimeMillis();
        for (int i = 0; i < 10000; i++)
        {
            t.set(o);
        }
        then = System.currentTimeMillis();
        System.out.println(then - now);
 
    }
}